Main Page Groups Namespaces

# sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > Class Template Reference
[mem_fun()]

bound_volatile_mem_functor2 encapsulates a volatile method with 2 arguments and an object instance. More...

Inheritance diagram for sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >:

[legend]
List of all members.

## Public Types
typedef base_type_::function_type | function_type
## Public Member Functions
| bound_volatile_mem_functor2 (T_obj* _A_obj, function_type _A_func)
| Constructs a bound_volatile_mem_functor2 object that wraps the passed method.
| bound_volatile_mem_functor2 (T_obj& _A_obj, function_type _A_func)
| Constructs a bound_volatile_mem_functor2 object that wraps the passed method.
T_return | operator() (typename type_trait<T_arg1>::take _A_a1, typename type_trait<T_arg2>::take _A_a2) const
| Execute the wrapped method operating on the stored instance.
## Public Attributes
T_obj* | obj_ptr_
| Pointer to stored object instance.

## Detailed Description

### template <class T_return, class T_obj, class T_arg1, class T_arg2>
class sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >

bound_volatile_mem_functor2 encapsulates a volatile method with 2 arguments and an object instance.

Use the convenience function mem_fun() to create an instance of bound_volatile_mem_functor2.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

template <class T_return, class T_obj, class T_arg1, class T_arg2>
typedef base_type_::function_type sigc::bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>::function_type

| Reimplemented from sigc::volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>.

## Constructor & Destructor Documentation

template <class T_return, class T_obj, class T_arg1, class T_arg2>
sigc::bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>::bound_volatile_mem_functor2 | ( | T_obj* | _A_obj,
|  | function_type | _A_func
| ) | `[inline]`

  | Constructs a bound_volatile_mem_functor2 object that wraps the passed method. Parameters:
  | _A_obj | Pointer to instance the method will operate on.
  | _A_func | Pointer to method will be invoked from operator()().

template <class T_return, class T_obj, class T_arg1, class T_arg2>
sigc::bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>::bound_volatile_mem_functor2 | ( | T_obj& | _A_obj,
|  | function_type | _A_func
| ) | `[inline]`

  | Constructs a bound_volatile_mem_functor2 object that wraps the passed method. Parameters:
  | _A_obj | Reference to instance the method will operate on.
  | _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return, class T_obj, class T_arg1, class T_arg2>
T_return sigc::bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>::operator() | ( | typename type_trait<T_arg1>::take | _A_a1,
|  | typename type_trait<T_arg2>::take | _A_a2
| ) | const`[inline]`

  | Execute the wrapped method operating on the stored instance. Parameters:
  | _A_a1 | Argument to be passed on to the method.
  | _A_a2 | Argument to be passed on to the method.
Returns: The return value of the method invocation.

## Member Data Documentation

template <class T_return, class T_obj, class T_arg1, class T_arg2>
T_obj* sigc::bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>::obj_ptr_

| Pointer to stored object instance.

The documentation for this class was generated from the following file:

- mem_fun.h